Skip to main content

Application API Tokens Actions

https://api.losant.com/applications/APPLICATION_ID/tokens

Below are the various requests that can be performed against the Application API Tokens resource, as well as the expected parameters and the potential responses.

Get​

Returns the API tokens for an application

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/tokens

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, applicationApiTokens.*, or applicationApiTokens.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, status, id, creationDate, lastUpdated, expirationDatenamesortField=name
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: name, statusfilterField=key
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my*token

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/tokens

Successful Responses​

CodeTypeDescription
200API TokensCollection of API tokens

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Post​

Create a new API token for an application

Method And Url​

POST https://api.losant.com/applications/APPLICATION_ID/tokens

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, applicationApiTokens.*, or applicationApiTokens.post.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the API Token Post schema. For example, the following would be a valid body for this request:

{
"name": "My New API Token",
"expirationDate": "2017-06-13T04:00:00.000Z",
"scope": [
"all.Application"
],
"status": "active"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"name":"My New API Token","expirationDate":"2017-06-13T04:00:00.000Z","scope":["all.Application"],"status":"active"}' \
https://api.losant.com/applications/APPLICATION_ID/tokens

Successful Responses​

CodeTypeDescription
201API TokenThe successfully created API token

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Schemas​

API Token​

Schema for a single API Token

API Token Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 19 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 3 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 3 keys
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 2 keys

                                        API Token Example​

                                        • ▶
                                          {} 13 keys
                                          • "575ec7417ae143cd83dc4a95"
                                          • "575ec7417ae143cd83dc4a95"
                                          • "575ed70c7ae143cd83dc4aa9"
                                          • "user"
                                          • "575ec8687ae143cd83dc4a97"
                                          • "application"
                                          • "My API Token"
                                          • "2016-06-13T04:00:00.000Z"
                                          • "2016-06-13T04:00:00.000Z"
                                          • "2017-06-13T04:00:00.000Z"
                                          • ▶
                                            [] 1 item
                                            • "active"
                                            • "the_actual_token_string"

                                          API Token Post​

                                          Schema for the body of an API Token creation request

                                          API Token Post Schema​

                                          • ▶
                                            {} 5 keys
                                            • "http://json-schema.org/draft-07/schema#"
                                            • "object"
                                            • ▶
                                              {} 7 keys
                                              • ▶
                                                {} 3 keys
                                                • ▶
                                                  {} 2 keys
                                                  • ▶
                                                    {} 2 keys
                                                    • ▶
                                                      {} 2 keys
                                                      • ▶
                                                        {} 3 keys
                                                        • ▶
                                                          {} 3 keys
                                                          • ▶
                                                            {} 2 keys
                                                          • false
                                                          • ▶
                                                            [] 1 item

                                                          API Token Post Example​

                                                          • ▶
                                                            {} 4 keys
                                                            • "My New API Token"
                                                            • "2017-06-13T04:00:00.000Z"
                                                            • ▶
                                                              [] 1 item
                                                              • "active"

                                                            API Tokens​

                                                            Schema for a collection of API Tokens

                                                            API Tokens Schema​

                                                            • ▶
                                                              {} 3 keys
                                                              • "http://json-schema.org/draft-07/schema#"
                                                              • "object"
                                                              • ▶
                                                                {} 13 keys
                                                                • ▶
                                                                  {} 2 keys
                                                                  • ▶
                                                                    {} 1 key
                                                                    • ▶
                                                                      {} 1 key
                                                                      • ▶
                                                                        {} 1 key
                                                                        • ▶
                                                                          {} 1 key
                                                                          • ▶
                                                                            {} 1 key
                                                                            • ▶
                                                                              {} 1 key
                                                                              • ▶
                                                                                {} 1 key
                                                                                • ▶
                                                                                  {} 2 keys
                                                                                  • ▶
                                                                                    {} 2 keys
                                                                                    • ▶
                                                                                      {} 2 keys
                                                                                      • ▶
                                                                                        {} 2 keys
                                                                                        • ▶
                                                                                          {} 2 keys

                                                                                      API Tokens Example​

                                                                                      • ▶
                                                                                        {} 9 keys
                                                                                        • ▶
                                                                                          [] 1 item
                                                                                          • 1
                                                                                          • 4
                                                                                          • 1
                                                                                          • 0
                                                                                          • "name"
                                                                                          • "asc"
                                                                                          • "575ec8687ae143cd83dc4a97"
                                                                                          • "application"

                                                                                        Error​

                                                                                        Schema for errors returned by the API

                                                                                        Error Schema​

                                                                                        • ▶
                                                                                          {} 3 keys
                                                                                          • "http://json-schema.org/draft-07/schema#"
                                                                                          • "object"
                                                                                          • ▶
                                                                                            {} 3 keys
                                                                                            • ▶
                                                                                              {} 1 key
                                                                                              • ▶
                                                                                                {} 1 key
                                                                                                • ▶
                                                                                                  {} 2 keys

                                                                                              Error Example​

                                                                                              • ▶
                                                                                                {} 2 keys
                                                                                                • "NotFound"
                                                                                                • "Application was not found"

                                                                                              Was this page helpful?


                                                                                              Still looking for help? You can also search the Losant Forums or submit your question there.